petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSAdjointComputeCostIntegrand

Evaluates the integral function in the cost functions.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointComputeCostIntegrand(TS ts,PetscReal t,Vec y,Vec q)

### Input Parameters

| ts | - the TS context Many br
| t | - current time Many br
| y | - state vector, i.e. current solution Many br

### Output Parameter

q -vector of size numcost to hold the outputs Many br

### Note

Most users should not need to explicitly call this routine, as it Many bris used internally within the sensitivity analysis context. Many br

Many br

### Keywords

TS, compute

### See Also

TSSetCostIntegrand()

Level:developer
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages